<?
if ($avt) {
if ($avt=="minus") {
if (($to!=1 && substr($to,0,5)!='user.') || !isset($game["loc"][$player["loc"]][$to])) msg("Ето не игрок!");
$avt = implode("",file("avtoritet.dat"));
$avt = unserialize($avt);
if ($avt[$to]["mpl"]==$login) msg("Вы уже добавили свой авторитет етому игроку!");
$avt[$to]["aminus"]-=1;
$avt[$to]["mpl"]=$login;
$avt["countm"]+=1;
$file1 = fopen ("avtoritet.dat", "w+"); 
fputs($file1,serialize($avt));
fclose ($file1);
addjournal($to, "Авторитет -1 /".$player["title"]."");
$stmp.="Авторитет игроку: -1<br/>".$st[12]."";
$stmp.="<br/><a href=\"$PHP_SELF?sid=$sid\">[в игру]</a>";
msg($stmp,"Авторитет",0,'none');
}
if ($avt=="plus") {
if (($to!=1 && substr($to,0,5)!='user.') || !isset($game["loc"][$player["loc"]][$to])) msg("Ето не игрок!");
$avt = implode("",file("avtoritet.dat"));
$avt = unserialize($avt);
if ($avt[$to]["ppl"]==$login) msg("Вы уже добавили свой авторитет етому игроку!");
$avt[$to]["aplus"]+=1;
$avt[$to]["ppl"]=$login;
$avt["countp"]+=1;
$file1 = fopen ("avtoritet.dat", "w+"); 
fputs($file1,serialize($avt));
fclose ($file1);
addjournal($to, "Авторитет +1 /".$player["title"]."");

$stmp.="Авторитет игроку: +1<br/>".$st[12]."";
$stmp.="<br/><a href=\"$PHP_SELF?sid=$sid\">[в игру]</a>";

msg($stmp,"Авторитет",0,'none');
}
}
?>
